{%- from "jenkins/map.jinja" import client with context %}
{%- if client.audittrail is defined %}
{%- if client.audittrail.pattern is defined %}
configure_jenkins_auditrail:
  jenkins_audittrail.params:
    - pattern: {{ client.audittrail.pattern }}
    - log_build_cause: {{ client.audittrail.get('log_build_cause', True) }}
{%- endif %}

{% for name, logger in client.audittrail.get('loggers', {}).iteritems() %}
configure_jenkins_logger_{{ name }}:
  jenkins_audittrail.config:
    - type: {{ logger.get('type', 'console') }}
    - output: {{ logger.get('output', 'STD_OUT') }}
    - date_format: {{ logger.get('date_format', 'yyyy-MM-dd HH:mm:ss:SSS') }}
    - log_prefix: {{ logger.get('log_prefix', '') }}
    - log: {{ logger.get('log', '') }}
    - limit: {{ logger.get('limit', 0) }}
    - count: {{ logger.get('count', 0) }}
    - syslog_server_hostname: {{ logger.get('syslog_server_hostname', '') }}
    - syslog_server_port: {{ logger.get('syslog_server_port', 514) }}
    - syslog_facility: {{ logger.get('syslog_facility', 'SYSLOG') }}
    - app_name: {{ logger.get('app_name', 'jenkins') }}
    - message_hostname: {{ logger.get('message_hostname', '') }}
    - message_format: {{ logger.get('message_format', 'RFC_3164') }}
{% endfor %}
{%- endif %}