{% from "jenkins/map.jinja" import client with context %}
{% from "jenkins/map.jinja" import jenkins_offline_deployment with context %}
{%- if client.plugin is defined %}

{%- set alt_update_manager_enabled = client.plugin.get("alt_update",{}).get('enabled', False) %}

{%- if jenkins_offline_deployment == True or not alt_update_manager_enabled %}

jenkins_plugins:
  jenkins_plugin.managed:
  - plugins: {{ client.plugin }}
  - remove_unwanted: {{ client.get('plugin_remove_unwanted', False) }}
  - force_remove: {{ client.get('plugin_force_remove', False) }}

{%- else %}

{%- for plugin_name, plugin_params in client.plugin.get('alt_update',{}).get('plugins',{}).iteritems() %}

{%- if plugin_params.get('enabled', True) %}
jenkins_plugin_{{ plugin_name }}_pin_install:
  file.managed:
    - source: {{ client.plugin.alt_update.base_url }}/{{ plugin_name }}/{{ plugin_params.get('version', 'latest') }}/{{ plugin_name }}.hpi
    - name: {{ client.plugin.alt_update.jenkins_home_volume_dir }}/plugins/{{ plugin_name }}.jpi
    - user: 1000
    - group: 1000
    - replace: True
    - source_hash: {{ plugin_params.source_hash }}
{%- else %}
jenkins_plugin_{{ plugin_name }}_pin_uninstall:
  file.absent:
    - name: {{ client.plugin.alt_update.jenkins_home_volume_dir }}/plugins/{{ plugin_name }}.jpi
{%- endif %}

{%- endfor %}

jenkins_plugin_call_safe_restart:
  module.run:
  - name: jenkins_common.jenkins_do_safe_restart

{%- endif %}


jenkins_wait_functional:
  cmd.script:
  - source: salt://jenkins/files/wait4jenkins.sh
  - shell: /bin/bash
  - env:
    - JENKINS_URL: "{{ client.master.get('proto', 'http') }}://{{ client.master.get('host', 'localhost') }}:{{ client.master.get('port', '8080') }}/login"
    - WAIT_TIME: "300"
    - INTERVAL: "5"
  - require:
  {%- if alt_update_manager_enabled %}
    - jenkins_plugin_call_safe_restart
  {%- else %}
    - jenkins_plugins
  {%- endif %}
{%- endif %}
